Subject: Re: Kernel 2.6, ML403, rootfs on nfs, gigabit ethernet link, nfs mount problems

From: Andrei Konovalov <[email-masked]>
Date: Tue, 29 May 2007 18:57:34 +0400

Mohammad Sadegh Sadri wrote:
> Hi all,
> 
> well I could bring up the grant's kernel on ml403 completely. the root file system was over nfs. 
> 
> when I use a 100mbits link for connection to ml403 , every thing is working suitably.
> but when I use a 1000mbits link, I see that ml403 gets ip address from dhcp and mounts the root file system but can not go further , it stops with a message: "nfs server not responding ...." some thing like this.
> 
> when pinging to ml403 with 64 bytes packets, ping works fine for both of 100 and 1000mbits links
> but when I try to ping the board with 4000 bytes packets I notice that ml403 on gigabit link can not answer to ping packets, however on 100mbit link every thing works just fine.
> 
> any ideas?

TEMAC is in FIFO mode?
Try adding "nfsroot=,rsize=1024,wsize=1024" to cmdline?

Thanks,
Andrei